---
title: GET /renditions/{id}
slug: content-marketing-platform/api/get-renditionsid
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "BkMs_r4jnWLy8BnB-A_2N",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/renditions/{id}",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/renditions/{id}",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /renditions/{id}",
    "description": "<p>Experimental Get a rendition given its <code>id</code>.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string",
          "example": "c2603a6e0b4811eebea95edf08e23f48",
          "description": "Unique identifier of the rendition"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Details of the rendition",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "DetailedAssetRenditionResponse",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier of the rendition",
                "example": "5d7f910551b00a722e0418830cee6631"
              },
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Name of the rendition",
                "example": "Facebook"
              },
              {
                "name": "created_at",
                "kind": "required",
                "type": "string<date-time>",
                "description": "<p>Date and time on which the rendition was created, in ISO 8601 UTC format</p>",
                "example": "2022-09-27T08:18:41Z",
                "format": "date-time"
              },
              {
                "name": "mime_type",
                "kind": "required",
                "type": "string",
                "description": "MIME type of the rendition",
                "example": "image/png"
              },
              {
                "name": "url",
                "kind": "required",
                "type": "string",
                "description": "URL of the rendition",
                "example": "https://files.cmp.optimizely.com/download/6ceee2f4fa3411ecb37802420ac8001b"
              },
              {
                "name": "modified_at",
                "kind": "required",
                "type": "string<date-time>",
                "description": "<p>Date and time on which the rendition was last modified, in ISO 8601 UTC format</p>",
                "example": "2022-09-27T09:14:30Z",
                "format": "date-time"
              },
              {
                "name": "width",
                "kind": "required",
                "type": "integer",
                "nullable": true,
                "description": "<p>The width (in pixels) of the rendition</p>",
                "example": 600
              },
              {
                "name": "height",
                "kind": "required",
                "type": "integer",
                "nullable": true,
                "description": "<p>The height (in pixels) of the rendition</p>",
                "example": 400
              },
              {
                "name": "alt_text",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "Alternative text for rendition",
                "example": "image title"
              },
              {
                "name": "original_asset_id",
                "kind": "required",
                "type": "string",
                "description": "ID of the original asset the rendition was generated from",
                "example": "5d7f910551b00a722e0418830cee6631"
              },
              {
                "name": "rendition_config_id",
                "kind": "optional",
                "type": "string",
                "description": "ID of rendition config used to generate the rendition",
                "example": "f910551b00ae0418830cee6631452651"
              },
              {
                "name": "asset_type",
                "kind": "required",
                "type": "string",
                "description": "Type of the original asset the rendition was generated from",
                "example": "image"
              },
              {
                "name": "status",
                "kind": "required",
                "type": "string<Done | InProgress | Error>",
                "description": "Status of the rendition's generation",
                "example": "Done",
                "enum": [
                  "Done",
                  "InProgress",
                  "Error"
                ]
              }
            ],
            "modelRef": "#/components/schemas/DetailedAssetRenditionResponse",
            "complexItems": [
              {
                "name": "object",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier of the rendition",
                    "example": "5d7f910551b00a722e0418830cee6631"
                  },
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "description": "Name of the rendition",
                    "example": "Facebook"
                  },
                  {
                    "name": "created_at",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "<p>Date and time on which the rendition was created, in ISO 8601 UTC format</p>",
                    "example": "2022-09-27T08:18:41Z",
                    "format": "date-time"
                  },
                  {
                    "name": "mime_type",
                    "kind": "required",
                    "type": "string",
                    "description": "MIME type of the rendition",
                    "example": "image/png"
                  },
                  {
                    "name": "url",
                    "kind": "required",
                    "type": "string",
                    "description": "URL of the rendition",
                    "example": "https://files.cmp.optimizely.com/download/6ceee2f4fa3411ecb37802420ac8001b"
                  }
                ],
                "modelRef": "#/components/schemas/BaseAssetRenditionResponse",
                "customType": "BaseAssetRenditionResponse"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "modified_at",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "<p>Date and time on which the rendition was last modified, in ISO 8601 UTC format</p>",
                    "example": "2022-09-27T09:14:30Z",
                    "format": "date-time"
                  },
                  {
                    "name": "width",
                    "kind": "required",
                    "type": "integer",
                    "nullable": true,
                    "description": "<p>The width (in pixels) of the rendition</p>",
                    "example": 600
                  },
                  {
                    "name": "height",
                    "kind": "required",
                    "type": "integer",
                    "nullable": true,
                    "description": "<p>The height (in pixels) of the rendition</p>",
                    "example": 400
                  },
                  {
                    "name": "alt_text",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "Alternative text for rendition",
                    "example": "image title"
                  },
                  {
                    "name": "original_asset_id",
                    "kind": "required",
                    "type": "string",
                    "description": "ID of the original asset the rendition was generated from",
                    "example": "5d7f910551b00a722e0418830cee6631"
                  },
                  {
                    "name": "rendition_config_id",
                    "kind": "optional",
                    "type": "string",
                    "description": "ID of rendition config used to generate the rendition",
                    "example": "f910551b00ae0418830cee6631452651"
                  },
                  {
                    "name": "asset_type",
                    "kind": "required",
                    "type": "string",
                    "description": "Type of the original asset the rendition was generated from",
                    "example": "image"
                  },
                  {
                    "name": "status",
                    "kind": "required",
                    "type": "string<Done | InProgress | Error>",
                    "description": "Status of the rendition's generation",
                    "example": "Done",
                    "enum": [
                      "Done",
                      "InProgress",
                      "Error"
                    ]
                  }
                ]
              }
            ],
            "complexType": "allOf",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Client error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unsupported arguments: a,b,c\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Authorization error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unauthorized\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Permission error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"You do not have the permission to perform this operation\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not found error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Resource not found\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "Q9wFt0qHIjG7erstzejyz",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.cmp.optimizely.com/v3/renditions/{id} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "_oqyWFA4KJDYJQt6JZ1n5",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/renditions/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "PzAKql0M-fd4GeZHSU-Gg",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/renditions/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "0Grtc6tICHhxp6NUymXjD",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/renditions/{id}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Q9wFt0qHIjG7erstzejyz"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Details of the rendition\n{\n  \"id\": \"5d7f910551b00a722e0418830cee6631\",\n  \"name\": \"Facebook\",\n  \"created_at\": \"2022-09-27T08:18:41Z\",\n  \"mime_type\": \"image/png\",\n  \"url\": \"https://files.cmp.optimizely.com/download/6ceee2f4fa3411ecb37802420ac8001b\",\n  \"modified_at\": \"2022-09-27T09:14:30Z\",\n  \"width\": 600,\n  \"height\": 400,\n  \"alt_text\": \"image title\",\n  \"original_asset_id\": \"5d7f910551b00a722e0418830cee6631\",\n  \"rendition_config_id\": \"f910551b00ae0418830cee6631452651\",\n  \"asset_type\": \"image\",\n  \"status\": \"Done\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Client error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Authorization error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-3-403",
          "language": "403",
          "code": "// Permission error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-4-404",
          "language": "404",
          "code": "// Not found error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}